TIBCO ActiveSpaces®

Typedefs | Functions
tablelistener.h File Reference

A table listener listens for changes to a specific table. More...

## Typedefs
typedef void(* | tibdgTableListenerCallback) (tibEx e, tibdgTableListener listener, tibint32_t eventCount, tibdgEvent *events, void *closure)
| The type of the callback that will be triggered when new events matching the listener's criteria are received. More...
typedef void(* | tibdgTableListenerComplete) (tibEx e, tibdgTableListener listener, void *closure)
| The type of the callback that will be triggered when the tablelistener has finished its last callback. More...

## Functions
TIBDG_API void | tibdgTableListener_Destroy (tibEx e, tibdgTableListener listener, tibdgTableListenerComplete callback)
| Destroy the tablelistener. More...
TIBDG_API const char * | tibdgTableListener_GetFilter (tibEx e, tibdgTableListener listener)
| Get the filter string of the listener. More...
TIBDG_API tibdgTable | tibdgTableListener_GetTable (tibEx e, tibdgTableListener listener)
| Get the table on which the tablelistener is listening. More...

## Detailed Description

A table listener listens for changes to a specific table.

Changes are received in the form of tibdgEvent objects that are delivered to the listener's tibdgTableListenerCallback.

## Typedef Documentation

## ◆ tibdgTableListenerCallback

typedef void(* tibdgTableListenerCallback) (tibEx e, tibdgTableListener listener, tibint32_t eventCount, tibdgEvent *events, void *closure)

The type of the callback that will be triggered when new events matching the listener's criteria are received.

The tibdgEvent objects and the tibdgRow objects they contain are only valid in the scope of the callback. If any data from the event is required after the callback has completed it must be copied and freed by the application.

Parameters

  e | The exception object captures information about failures.
  listener | The tablelistener that is receiving the events
  eventsCount | The number of events delivered to the callback
  events | An array of the events received since the last callback executed
  closure | The closure that was provided when the listener was created

## ◆ tibdgTableListenerComplete

typedef void(* tibdgTableListenerComplete) (tibEx e, tibdgTableListener listener, void *closure)

The type of the callback that will be triggered when the tablelistener has finished its last callback.

This is provided so that the application can safely destroy the listener's closure.

Parameters

  e | The exception object captures information about failures.
  listener | The listener that has been closed
  closure | The closure that was used to create the listener

## Function Documentation

## ◆ tibdgTableListener_Destroy()

TIBDG_API void tibdgTableListener_Destroy | ( | tibEx | e,
|  | tibdgTableListener | listener,
|  | tibdgTableListenerComplete | callback
| ) |  |

Destroy the tablelistener.

Parameters

  e | The exception object captures information about failures.
  listener | The listener to destroy
  callback | The function to invoke when listener is destroyed

Returns
  void

## ◆ tibdgTableListener_GetFilter()

TIBDG_API const char * tibdgTableListener_GetFilter | ( | tibEx | e,
|  | tibdgTableListener | listener
| ) |  |

Get the filter string of the listener.

Parameters

  e | The exception object captures information about failures.
  listener | The listener from which to get the filter string

Returns
  the filter string

## ◆ tibdgTableListener_GetTable()

TIBDG_API tibdgTable tibdgTableListener_GetTable | ( | tibEx | e,
|  | tibdgTableListener | listener
| ) |  |

Get the table on which the tablelistener is listening.

Parameters

  e | The exception object captures information about failures.
  listener | The listener from which to get the table

Returns
  tibdgTable